org.eclipse.rdf4j.model.impl

## Class CalendarLiteral

- java.lang.Object
- - org.eclipse.rdf4j.model.impl.SimpleLiteral
  - - org.eclipse.rdf4j.model.impl.CalendarLiteral

- All Implemented Interfaces:
    Serializable, Literal, Value

      public class CalendarLiteral
      extends SimpleLiteral

  An extension of `SimpleLiteral` that stores a calendar value to avoid parsing.
  Author:
    David Huynh, Arjohn Kampman
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CalendarLiteral(XMLGregorianCalendar calendar)` Creates a literal for the specified calendar using a datatype appropriate for the value indicated by `XMLGregorianCalendar.getXMLSchemaType()`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XMLGregorianCalendar` | `calendarValue()` Returns the `XMLGregorianCalendar` value of this literal.

    - ### Methods inherited from class org.eclipse.rdf4j.model.impl.SimpleLiteral

      `booleanValue, byteValue, decimalValue, doubleValue, equals, floatValue, getDatatype, getLabel, getLanguage, hashCode, integerValue, intValue, longValue, setDatatype, setLabel, setLanguage, shortValue, stringValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CalendarLiteral

          protected CalendarLiteral(XMLGregorianCalendar calendar)

      Creates a literal for the specified calendar using a datatype appropriate for the value indicated by `XMLGregorianCalendar.getXMLSchemaType()`.

  - ### Method Detail

    - #### calendarValue

          public XMLGregorianCalendar calendarValue()

      Description copied from interface: `Literal`
      Returns the `XMLGregorianCalendar` value of this literal. A calendar representation can be given for literals whose label conforms to the syntax of the following XML Schema datatypes: `dateTime`, `time`, `date`, `gYearMonth`, `gMonthDay`, `gYear`, `gMonth` or `gDay`.
      Specified by:
        `calendarValue` in interface `Literal`
      Overrides:
        `calendarValue` in class `SimpleLiteral`
      Returns:
        The calendar value of the literal.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.